Subject: deposit today
From: "Patty and Mike Finan" <[email-masked]>
To: "Linda Wagner" <[email-masked]>, "Katy Parcells" <[email-masked]>
Date: Tue, 30 May 2006 13:34:54 -0400

Hi there,

I am depositing $76 today that has gone thru the cash box. $66 from a school tour today and $10 for the pottery class fee. The class fee gets rung up as a donation. 

I am still waiting on a few W4s. I will copy and mail down as soon as I get all of them. I think we are waiting until the 15th for checks. If we did them now, it would not be very much for them. I'll double check on Thursday but I am going to recommend this is what we do.

Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007